Log In  

Just got the new Pimori Picade 10" and wanted to set up PICO-8.

  • Downloaded the RPi version from the site
  • Unzipped it to /home/pi/pico-8
  • Created a file called splore.sh, put it in home/pi/pico-8 (And made it executable, see below for the file contents)
  • Updated the es_systems.cfg file to add a pico-8 entry (See below for entry)
  • Rebooted and launched RetroPi, launched the splore.sh file and got an error saying libwiringPi wasn't linked. So I installed that and when I run now I get a segfault
  • Created a bash file to launch it in emulationstation, and it is missing the libwiringPi library. So I installed that and now I get a segfault whenever I try and launch it

Here's the splore.sh file:

#!/bin/bash
pushd "/home/pi/pico-8"
./pico8 -splore
popd

Here's the es_systems.cfg entry:

<system>
    <name>pico8</name>
    <fullname>PICO-8</fullname>
    <path>/home/pi/pico-8</path>
    <extension>.sh .SH</extension>
    <command>/opt/retropie/supplementary/runcommand/runcommand.sh 0 %ROM%</command>
    <platform>pico8</platform>
    <theme>pico8</theme>
</system>

Any help would be great as I'd love to get this thing set up to run PICO-8

Thanks

P#84965 2020-12-02 23:00

have you tried running the pico8_dyn instead?

P#84966 2020-12-02 23:04

Where did you get wiringpi from? segfault suggests a wrong package for your OS. I had to download a deb and copy it to the SD card, having no network connection on my raspi, and it did work. (pico8_dyn requires more libraries, so I would stick with pico8 first, and also check that it runs outside of ES)

P#85013 2020-12-03 19:52

Sorry for the delay, I was flat out yesterday.

I haven’t tried dyn yet, however I installed wiringpi via

sudo apt-get install wiringPi

Which was the recommended way based on this comment: https://www.lexaloffle.com/bbs/?pid=32396#p

P#85024 2020-12-03 22:36
1

Got some time to try things.

Tried running pico8 from commandline and it didn't work.
However pico8_dyn works perfectly. So I updated my splore.sh to reference the dyn version and no problems.

Not sure if this should stay a bug as the non dyn version is supposed to have everything linked and that doesn't work.

P#85028 2020-12-04 00:53

Well it’s «everything except wiringpi», I guess because embedding libsdl is fine (pico8 knows what it needs) but wiringpi used to be updated to support new models for example.

P#85035 2020-12-04 02:36

Glad to see you got it working @AaronGeorge

P#85044 2020-12-04 14:00
1

Going to have a go at this myself with retropi and picade. Using 2.2c pico8 build. Never use pico8 before so should be fun.

Someone mentioned wiringpi, is this going to be removed and updated to some other GPIO setup (pigpio or better lgpio by the same person but is more generic)
wiringpi has been deprecated since the Pi4 was released, so best not to use anymore.

P#88996 2021-03-15 12:03

[Please log in to post a comment]

Follow Lexaloffle:          
Generated 2024-03-02 00:03:24 | 0.020s | Q:20